curl --request GET \
--url https://api.baselayer.com/portfolio/groups \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/portfolio/groups"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/portfolio/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"items_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"console_url": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Portfolio Groups
Get all portfolio groups in the organization with pagination. Groups are sorted by created_at in descending order. Optionally filter by group name using the ‘q’ parameter.
Authorizations
Query Parameters
The query param to search by portfolio group name. If provided, only groups with names containing this term (case-insensitive) will be returned.
Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Response
Response
The unique identifier of the portfolio group.
The name of the portfolio group.
The number of items in this portfolio group.
When the portfolio group was created.
When the portfolio group was last updated.